✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/currency-offers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"uuid": "<string>",
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"currency_unit": {
"slug": "<string>",
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"title": "<string>",
"description": "<string>",
"parameters": {},
"base_currency": "EUR",
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"delivery_method": "none",
"excluded_delivery_fields": [
"username"
],
"delivery_method_data": {},
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"is_best_offer": true,
"icon_url": "<string>",
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Retrieve a paginated list of all currency offers created by the authenticated seller with filtering and sorting options.
curl --request GET \
--url https://api.gameboost.com/v2/currency-offers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"uuid": "<string>",
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"currency_unit": {
"slug": "<string>",
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"title": "<string>",
"description": "<string>",
"parameters": {},
"base_currency": "EUR",
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"delivery_method": "none",
"excluded_delivery_fields": [
"username"
],
"delivery_method_data": {},
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"is_best_offer": true,
"icon_url": "<string>",
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
],
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Search currency offers by id or description
Filter by exact id. Supports comma-separated values for multiple matches.
"3,6,9"
Filter by exact uuid. Supports comma-separated values for multiple matches.
"example"
Filter by exact external id. Supports comma-separated values for multiple matches.
"my-sku-123,my-sku-456"
Filter by exact game id. Supports comma-separated values for multiple matches.
655283
Filter by offer status
draft, listed, archived "draft"
Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2025-10-05"
Filter by listed at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).
"2019-08-14,2025-12-31"
Sort by field. Prefix with - for descending order.
id, -id, price, -price, views, -views, stock, -stock, delivery_time, -delivery_time, created_at, -created_at, updated_at, -updated_at, listed_at, -listed_at "-updated_at"
Items per page (max 50)
1 <= x <= 50Was this page helpful?